S&P 500 index data including level, dividend, earnings and P/E ratio on a
monthly basis since 1870. The S&P 500 (Standard and Poor's 500) is a
free-float, capitalization-weighted index of the top 500 publicly listed stocks
in the US (top 500 by market cap).

## Data

The data provided here is a tidied and CSV'd version of that collected and
prepared by the Economist Robert Shiller and made [available on his
website][shiller].

[shiller]: http://www.econ.yale.edu/~shiller/data.htm

### Source Data Construction

Details of the data construction as described on Shiller's website (and
slightly reformatted):

> Stock market data used in my book, Irrational Exuberance [Princeton University Press 2000, Broadway Books 2001, 2nd ed., 2005] are available for download, Excel file (xls). This data set consists of monthly stock price, dividends, and earnings data and the consumer price index (to allow conversion to real values), all starting January 1871.
> 
> The price, dividend, and earnings series are from the same sources as described in Chapter 26 of my earlier book (Market Volatility [Cambridge, MA: MIT Press, 1989]), although now I use monthly data, rather than annual data. Monthly dividend and earnings data are computed from the S&P four-quarter totals for the quarter since 1926, with linear interpolation to monthly figures. Dividend and earnings data before 1926 are from Cowles and associates (Common Stock Indexes, 2nd ed. [Bloomington, Ind.: Principia Press, 1939]), interpolated from annual data.
>
> Stock price data are monthly averages of daily closing prices through January 2000, the last month available as this book goes to press. The CPI-U (Consumer Price Index-All Urban Consumers) published by the U.S. Bureau of Labor Statistics begins in 1913; for years before 1913 1 spliced to the CPI Warren and Pearson's price index, by multiplying it by the ratio of the indexes in January 1913. December 1999 and January 2000 values for the CPI-U are extrapolated. See George F. Warren and Frank A. Pearson, Gold and Prices (New York: John Wiley and Sons, 1935). Data are from their Table 1, pp. 11–14.
>
> For the Plots, I have multiplied the inflation-corrected series by a constant so that their value in january 2000 equals their nominal value, i.e., so that all prices are effectively in January 2000 dollars.


## License

No exact statement on license of original data but given size and factual
nature believe one can assume these are public domain (and I, the maintainer,
explicitly license under the ODC Public Domain Dedication and License (PDDL)).

That said, it would be natural to credit Robert Shiller for preparing this
dataset and kindly making it publicly available.

